# eric7.Plugins.CheckerPlugins.CodeStyleChecker.CodeStyleCheckerUtilities

Module implementing utility functions for the code style checker dialogs.

### Global Attributes

None

### Classes

None

### Functions

setItemIcon | Function to set the icon of the passed message item.

## setItemIcon

setItemIcon(itm, column, msgCode, severity=None)

Function to set the icon of the passed message item.

itm (QTreeWidgetItem)
  reference to the message item
column (int)
  column for the icon
msgCode (str)
  message code
severity (str (optional))
  severity for message code 'S' (defaults to None)

Up